#
# spec file for package chromium-bsu
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           chromium-bsu
Version:        0.9.16.1
Release:        1.19
Summary:        Vertical Scrolling Space Shooter Game
License:        ClArtistic AND MIT
Group:          Amusements/Games/Action/Shoot
Url:            http://sourceforge.net/projects/chromium-bsu/
Source:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# hiscore patch
Patch0:         %{name}-0.9.15.1-src_HiScore.cpp.patch
BuildRequires:  dejavu-fonts
BuildRequires:  gcc-c++
BuildRequires:  libGLC-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(freealut)
BuildRequires:  pkgconfig(sdl2)
%if 0%{?suse_version}
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
%endif

%description
Chromium B.S.U. is a fast paced, arcade-style, top-scrolling space shooter.

You are captain of the cargo ship Chromium B.S.U., responsible for
delivering supplies to our troops on the front line. Your ship has
a small fleet of robotic fighters which you control from the relative
safety of the Chromium vessel.

%prep
%setup -q
%patch0

%build
%configure --docdir=%{_docdir}/%{name}
make %{?_smp_mflags}

%install
%make_install
rm -f %{buildroot}/%{name}-%{version}/data/doc/Makefile*
rm -f %{buildroot}/%{name}-%{version}/data/doc/images/Makefile*

mkdir -p %{buildroot}%{_localstatedir}/games/
touch %{buildroot}%{_localstatedir}/games/%{name}.highscore

%if 0%{?suse_version}
    %suse_update_desktop_file %{name}
    %fdupes -s %{buildroot}%{_prefix}
%endif

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%license COPYING data/wav/license.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man6/%{name}.6%{?ext_man}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/
%{_docdir}/%{name}
%dir %{_localstatedir}/games/
%config(noreplace) %attr(664,games,games) %{_localstatedir}/games/%{name}.highscore

%changelog
* Mon Apr  2 2018 antoine.belvire@opensuse.org
- Update to version 0.9.16.1:
  * Allow translations of Linux menu file.
  * Compile fixes.
- Update to version 0.9.16:
  * Add SDL2 support.
  * Add version option.
  * Use different font for French.
  * Compile fixes.
- Build with SDL2 instead of SDL1.
- Drop chromium-bsu-0.9.15.1-gcc6.patch (applied upstream).
- Use %%license instead of %%doc (boo#1082318).
- Clean spec file with spec-cleaner.
* Fri Apr  7 2017 meissner@suse.com
- own /var/games directory as filesystem no longer has it
* Thu Mar  9 2017 sfalken@opensuse.org
- Edited %%files to clear unpackaged file builderror in
  openSUSE:Factory
* Fri Jun 24 2016 i@marguerite.su
- add patch: chromium-bsu-0.9.15.1-gcc6.patch
  * fix boo#985196
  * fix call of overloaded 'abs(float&)' is ambiguous
* Sat Nov 22 2014 nemysis@gmx.ch
- Change Source to use Web URL and remove not working _service
- Use chromium-bsu-0.9.15-src_HiScore.cpp.patch instead of
  chromium-bsu-0.9.15-hiscore.patch
- Remove BuildRequires for Mesa-devel
- Use BuildRequires pkgconfig() instead of devel packages
- Add BuildRequires for fdupes, hicolor-icon-theme and dejavu-fonts
- Use BuildRequires libGLC-devel instead of ftgl-devel
- Change Description and Documentation
* Fri Jun 28 2013 joop.boonen@opensuse.org
- Update to version 0.9.15.1
* Mon Apr 22 2013 joop.boonen@opensuse.org
- Adapted the License according to the spdx standard
* Sat Jan  5 2013 joop.boonen@opensuse.org
- openal*-devel isn't a build requirement as it's a requirement
  of freealut-devel
* Sat Dec  8 2012 joop.boonen@opensuse.org
- Build with libSDL_image-devel instead of libglpng-devel
* Thu Jul 12 2012 devel.openSUSE.org@gmail.com
- update to 0.9.15
* Thu May 13 2010 prusnak@suse.cz
- removed useless const_cast (const_cast.patch)
* Fri Oct 30 2009 prusnak@suse.cz
- /usr/games, /usr/share/games -> /usr/bin, /usr/share
* Tue Jun 16 2009 prusnak@suse.cz
- renamed package to chromium-bsu to follow upstream
- updated to 0.9.14
* Wed Jan 21 2009 cmorve69@yahoo.es
- update to 0.9.13.3
* Thu Sep 25 2008 cmorve69@yahoo.es
- update to 0.9.13.2
* Tue Oct 24 2006 ro@suse.de
- try to fix build with freealut
* Tue Sep  5 2006 anosek@suse.cz
- fixed compiler warning: operation on 'Global::randIndex' may be
  undefined [#188219] (warning.patch)
* Mon Jan 30 2006 ro@suse.de
- added Mesa-devel to BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Apr 18 2005 nadvornik@suse.de
- installed icon [#74577]
* Mon Aug 16 2004 nadvornik@suse.cz
- build with system libpng [#43008]
* Sun Mar 21 2004 ro@suse.de
- removed .xvpics directory
* Wed Dec 17 2003 lnussel@suse.de
- fix launching chromium from within chromium-setup
- use default qt theme instead of sgi style in chromium-setup
- use alDistanceModel(AL_NONE) to work around too silent sound
* Tue Nov  4 2003 ro@suse.de
- package according to permissions.secure and add run_permissions
- don't build as root
* Mon Aug 11 2003 sndirsch@suse.de
- added desktop file
* Mon May 19 2003 ro@suse.de
- remove CVS subdirs
* Mon Jan 13 2003 nadvornik@suse.cz
- use lib64
* Mon Nov 11 2002 nadvornik@suse.cz
- compiled with qt3
- fixed installation of help files
* Thu Oct 24 2002 pthomas@suse.de
- Build and install chromium-setup
- Fix chromium-setup to build with current openal
- Use C compatibility headers
- Change Makefiles to allow passing additional compiler options
- Use RPM_OPT_FLAGS
- Define GL_GLEXT_PROTOTYPES in glpng.c to get prototypes
  for the GL extensions
* Tue Jul 30 2002 kukuk@suse.de
- Change group game to games
* Fri Feb  8 2002 nadvornik@suse.cz
- added Ogg/Vorbis support
* Wed Feb  6 2002 nadvornik@suse.cz
- added smpeg to neededforbuild
* Sat Feb  2 2002 sndirsch@suse.de
- fixed OpenAL Audio support (was broken by Update to OpenAL-20020201)
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Jan 15 2002 ro@suse.de
- added openal-devel to neededforbuild
* Tue Nov 20 2001 nadvornik@suse.cz
- removed broken patch for axp
* Thu Nov  8 2001 ro@suse.de
- use mesa-devel-packages in neededforbuild
* Mon Oct  8 2001 nadvornik@suse.cz
- added /var/games/chromium.highscore to filelist
* Sat Sep 22 2001 sndirsch@suse.de
- RPM Group tag set to Amusements/Games, so it can be found easier
* Wed Aug  8 2001 ro@suse.de
- changed neededforbuild <kdelibs kdelibs-devel> to <kdelibs-artsd>
* Wed Aug  8 2001 ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Thu Jun 21 2001 pblaha@suse.cz
- update on new version 9.12
- add kdelibs kdelibs-devel for libartsc
* Sat May  5 2001 sndirsch@suse.de
- replaced glx with mesasoft in #neededforbuild
* Tue Apr 17 2001 schwab@suse.de
- Fix missing declarations.
* Tue Apr 17 2001 pblaha@suse.cz
- bziped source and fix SDL version to compile
* Tue Apr 10 2001 pblaha@suse.cz
- fix highscore file into /var/games
* Fri Mar 30 2001 uli@suse.de
- don't use precompiled glpng (fixes non-x86 archs)
* Mon Mar 26 2001 ro@suse.de
- changed neededforbuild <sdl> to <sdl sdl-devel>
* Thu Mar 15 2001 ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Wed Mar 14 2001 pblaha@suse.cz
- update on 9.11
* Thu Mar  8 2001 uli@suse.de
- added mesaglut* to neededforbuild
* Wed Mar  7 2001 ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Wed Feb 21 2001 uli@suse.de
- added alsa to neededforbuild (reqd. by new SDL)
* Tue Jan 30 2001 mmj@suse.de
- Added a patch to remove the -Werror
- Touched some source files beacuse the author forgot
  [#]include <string.h> where string functions were used
* Tue Nov 21 2000 pblaha@suse.cz
- create this package
